> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses bills



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/bills
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/bills:
    post:
      tags:
        - BusinessBills
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoicesInvoiceCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/InvoicesInvoiceCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/InvoicesInvoiceCreateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    InvoicesInvoiceCreateRequest:
      type: object
      properties:
        attachmentId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        merchantId:
          type: integer
          format: int64
          nullable: true
        customerId:
          type: integer
          format: int64
          nullable: true
        vendorId:
          type: integer
          format: int64
          nullable: true
        vendorAccountId:
          type: integer
          format: int64
          nullable: true
        locationId:
          type: integer
          format: int64
          nullable: true
        employeeId:
          type: integer
          format: int64
          nullable: true
        categoryId:
          type: integer
          format: int64
          nullable: true
        location:
          $ref: '#/components/schemas/LocationsLocationCreateRequest'
        customer:
          $ref: '#/components/schemas/DTOCustomerCreateRequest'
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        currency:
          type: string
          nullable: true
        receiptId:
          type: string
          nullable: true
        orderNumber:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
          nullable: true
        cancelledAt:
          type: string
          format: date-time
          nullable: true
        cancelReason:
          maxLength: 255
          type: string
          nullable: true
        taxesIncluded:
          type: boolean
        totalWeight:
          type: number
          format: double
        tags:
          type: array
          items:
            type: string
          nullable: true
        lineItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/TransactionsLineItemsTransactionLineItemCreateRequest
          nullable: true
        lineItemGroups:
          type: array
          items:
            $ref: >-
              #/components/schemas/TransactionsLineItemsTransactionLineItemGroupCreateRequest
          nullable: true
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsTaxesTransactionTaxCreateRequest'
          nullable: true
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/TransactionsDiscountsTransactionDiscountCreateRequest
          nullable: true
        fees:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsFeesTransactionFeeCreateRequest'
          nullable: true
        payments:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCreateRequest
          nullable: true
        totalDiscounts:
          $ref: '#/components/schemas/DTOMoney'
        totalFees:
          $ref: '#/components/schemas/DTOMoney'
        subTotal:
          $ref: '#/components/schemas/DTOMoney'
        totalTip:
          $ref: '#/components/schemas/DTOMoney'
        totalDuties:
          $ref: '#/components/schemas/DTOMoney'
        totalShipping:
          $ref: '#/components/schemas/DTOMoney'
        totalTaxes:
          $ref: '#/components/schemas/DTOMoney'
        total:
          $ref: '#/components/schemas/DTOMoney'
        totalPaid:
          $ref: '#/components/schemas/DTOMoney'
        barcode:
          $ref: '#/components/schemas/DTOBarcodeCreateRequest'
        signature:
          $ref: '#/components/schemas/ImagesImageUploadRequest'
        receiptMetadata:
          $ref: >-
            #/components/schemas/ReceiptsReceiptMetadataReceiptMetadataCreateRequest
        balanceForward:
          $ref: '#/components/schemas/DTOMoney'
        invoiceNumber:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        dueDate:
          type: string
          format: date-time
          nullable: true
        billingPeriodStartDate:
          type: string
          format: date-time
          nullable: true
        billingPeriodEndDate:
          type: string
          format: date-time
          nullable: true
        autoPaymentDate:
          type: string
          format: date-time
          nullable: true
        amountDue:
          $ref: '#/components/schemas/DTOMoney'
        paymentLinkUrl:
          type: string
          nullable: true
        paymentStatus:
          type: string
          nullable: true
      additionalProperties: false
    LocationsLocationCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        businessCategoryCode:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        facebookUrl:
          type: string
          nullable: true
        instagramUsername:
          type: string
          nullable: true
        twitterUsername:
          type: string
          nullable: true
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        images:
          type: array
          items:
            $ref: '#/components/schemas/ImagesImageUploadRequest'
          nullable: true
      additionalProperties: false
    DTOCustomerCreateRequest:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        companyName:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        isTaxExempt:
          type: boolean
        tags:
          type: array
          items:
            type: string
          nullable: true
        currency:
          type: string
          nullable: true
        acceptsMarketing:
          type: boolean
        phoneNumber:
          type: string
          nullable: true
        nickname:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        customerNumber:
          type: string
          nullable: true
        birthDate:
          type: string
          format: date-time
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
      additionalProperties: false
    DTOBillingAddressRequest:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        addressExpiresAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    TransactionsLineItemsTransactionLineItemCreateRequest:
      type: object
      properties:
        productId:
          type: integer
          format: int64
          nullable: true
        groupId:
          type: integer
          format: int64
          nullable: true
        price:
          $ref: '#/components/schemas/DTOMoney'
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        variantId:
          type: string
          nullable: true
        quantity:
          type: number
          format: double
        subTotal:
          $ref: '#/components/schemas/DTOMoney'
        totalDiscounts:
          $ref: '#/components/schemas/DTOMoney'
        totalDuties:
          $ref: '#/components/schemas/DTOMoney'
        total:
          $ref: '#/components/schemas/DTOMoney'
        totalTaxes:
          $ref: '#/components/schemas/DTOMoney'
        taxes:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReceiptItemsTransactionLineItemTaxCreateRequest
          nullable: true
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/TransactionsLineItemsTransactionLineItemDiscountCreateRequest
          nullable: true
        modifiers:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReceiptsReceiptItemsTransactionLineItemModifierCreateRequest
          nullable: true
        taxable:
          type: boolean
      additionalProperties: false
    TransactionsLineItemsTransactionLineItemGroupCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        displayOrder:
          type: integer
          format: int32
        lineItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/TransactionsLineItemsTransactionLineItemCreateRequest
          nullable: true
      additionalProperties: false
    TransactionsTaxesTransactionTaxCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        rate:
          type: number
          format: double
        totalAmount:
          $ref: '#/components/schemas/DTOMoney'
        taxIdentificationNumber:
          type: string
          nullable: true
        taxIncluded:
          type: boolean
      additionalProperties: false
    TransactionsDiscountsTransactionDiscountCreateRequest:
      type: object
      properties:
        promoCodeId:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ModelsPromoCodesSBPromoCodeType'
        expenseId:
          type: integer
          format: int64
        amount:
          $ref: '#/components/schemas/DTOMoney'
        name:
          type: string
          nullable: true
        percentage:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    TransactionsFeesTransactionFeeCreateRequest:
      type: object
      properties:
        feeId:
          type: integer
          format: int64
          nullable: true
        name:
          type: string
          nullable: true
        amount:
          $ref: '#/components/schemas/DTOMoney'
        percentage:
          type: number
          format: double
          nullable: true
        type:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentCreateRequest:
      type: object
      properties:
        receiptId:
          type: integer
          format: int64
        statementDescriptor:
          type: string
          nullable: true
        card:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCardCreateRequest
        cash:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCashCreateRequest
        bankAccount:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentBankAccount
        external:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentExternal'
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        type:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentType'
        amount:
          $ref: '#/components/schemas/DTOMoney'
        tip:
          $ref: '#/components/schemas/DTOMoney'
        applicationFee:
          $ref: '#/components/schemas/DTOMoney'
        total:
          $ref: '#/components/schemas/DTOMoney'
        approuved:
          $ref: '#/components/schemas/DTOMoney'
        refunded:
          $ref: '#/components/schemas/DTOMoney'
        status:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentStatus'
        receiptNumber:
          type: string
          nullable: true
        receiptUrl:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        riskEvaluation:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentRiskEvaluation
        refunds:
          type: array
          items:
            $ref: >-
              #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentRefundCreateRequest
          nullable: true
      additionalProperties: false
    DTOMoney:
      type: object
      properties:
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        conversion:
          $ref: '#/components/schemas/DTOMoneyConversion'
      additionalProperties: false
    DTOBarcodeCreateRequest:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ModelsSBBarcodeType'
        value:
          type: string
          nullable: true
      additionalProperties: false
    ImagesImageUploadRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        altText:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptMetadataReceiptMetadataCreateRequest:
      type: object
      properties:
        landingSite:
          type: string
          nullable: true
        customerLocale:
          type: string
          nullable: true
        refferingSite:
          type: string
          nullable: true
        sourcePOS:
          type: string
          nullable: true
        sourceName:
          type: string
          nullable: true
        tags:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        browserMetadata:
          $ref: '#/components/schemas/ReceiptsReceiptMetadataCreateBrowserMetadataDTO'
      additionalProperties: false
    DTOAddressRequest:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptItemsTransactionLineItemTaxCreateRequest:
      type: object
      properties:
        taxId:
          type: integer
          format: int64
          nullable: true
        name:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        percentage:
          type: number
          format: double
          nullable: true
        taxIdentificationNumber:
          type: string
          nullable: true
      additionalProperties: false
    TransactionsLineItemsTransactionLineItemDiscountCreateRequest:
      type: object
      properties:
        promoCodeId:
          type: integer
          format: int64
        amount:
          $ref: '#/components/schemas/DTOMoney'
        percentage:
          type: number
          format: double
        type:
          $ref: '#/components/schemas/ModelsPromoCodesSBPromoCodeType'
        name:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptItemsTransactionLineItemModifierCreateRequest:
      type: object
      properties:
        productModifierId:
          type: string
          nullable: true
        quantity:
          type: integer
          format: int32
        price:
          $ref: '#/components/schemas/DTOMoney'
        totalPrice:
          $ref: '#/components/schemas/DTOMoney'
        name:
          type: string
          nullable: true
        taxable:
          type: boolean
        sku:
          type: string
          nullable: true
      additionalProperties: false
    ModelsPromoCodesSBPromoCodeType:
      enum:
        - PERCENTAGE
        - AMOUNT
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCardCreateRequest:
      type: object
      properties:
        authorizationCode:
          type: string
          nullable: true
        statementDescriptor:
          type: string
          nullable: true
        paymentMethod:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentMethodCard'
        method:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardEntryMethod
        emv:
          $ref: '#/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCardEMV'
        cvv:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardCvvResult
        avs:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentCardAvsResult
        timeline:
          $ref: >-
            #/components/schemas/ReceiptsReceiptPaymentsReceiptPaymentCardTimeline
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentCashCreateRequest:
      type: object
      properties:
        supplied:
          $ref: '#/components/schemas/DTOMoney'
        change:
          $ref: '#/components/schemas/DTOMoney'
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentBankAccount:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        statementDescriptor:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentExternal:
      type: object
      properties:
        source:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        fee:
          $ref: '#/components/schemas/ModelsMoneySBMoney'
        type:
          $ref: >-
            #/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentExternalType
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentType:
      enum:
        - CARD
        - CASH
        - BANK_ACCOUNT
        - EXTERNAL
        - CREDITS
        - OTHER
        - GIFT_CARD
        - CHECK
        - SETTLEMENT
      type: string
    ModelsReceiptPaymentsSBReceiptPaymentStatus:
      enum:
        - APPROUVED
        - PENDING
        - COMPLETED
        - CANCELLED
        - FAILED
        - PAID
        - UNPAID
        - OVERDUE
        - PROCESSING
        - REQUIRES_ACTION
        - REFUNDED
        - PARTIALLY_REFUNDED
        - DISPUTED
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentRiskEvaluation:
      type: object
      properties:
        riskLevel:
          $ref: '#/components/schemas/ModelsReceiptPaymentsSBReceiptPaymentRiskLevel'
        riskScore:
          type: integer
          format: int32
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentRefundCreateRequest:
      type: object
      additionalProperties: false
    DTOMoneyConversion:
      type: object
      properties:
        originalAmount:
          type: number
          format: double
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
        convertedAt:
          type: string
          format: date-time
      additionalProperties: false
    ModelsSBBarcodeType:
      enum:
        - AZTEC
        - CODABAR
        - CODE_39
        - CODE_93
        - CODE_128
        - DATA_MATRIX
        - EAN_8
        - EAN_13
        - ITF
        - MAXICODE
        - PDF_417
        - QR_CODE
        - RSS_14
        - RSS_EXPANDED
        - UPC_A
        - UPC_E
        - ALL_1_D
        - UPC_EAN_EXTENSION
        - MSI
        - PLESSEY
        - IMB
        - PHARMA_CODE
      type: string
    ReceiptsReceiptMetadataCreateBrowserMetadataDTO:
      type: object
      properties:
        acceptLanguage:
          type: string
          nullable: true
        browserHeight:
          type: integer
          format: int64
        browserIp:
          type: string
          nullable: true
        browserWidth:
          type: integer
          format: int64
        sessionHash:
          type: string
          nullable: true
        userAgent:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false
    ReceiptsReceiptPaymentsReceiptPaymentMethodCard:
      type: object
      properties:
        cardholderName:
          type: string
          nullable: true
        cardholderFirstName:
          type: string
          nullable: true
        cardholderLastName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        coBrand:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int32
        expirationYear:
          type: integer
          format: int32
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        fingerprint:
          $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardFingerprint'
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentCardEntryMethod:
      enum:
        - MANUAL
        - SWIPED
        - EMV
        - ON_FILE
        - CONTACTLESS
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCardEMV:
      type: object
      properties:
        applicationId:
          type: string
          nullable: true
        applicationName:
          type: string
          nullable: true
        applicationCryptogram:
          type: string
          nullable: true
        cardholderVerificationMethod:
          type: string
          nullable: true
        cardholderVerificationResult:
          type: string
          nullable: true
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentCardCvvResult:
      enum:
        - CVV_MATCHED
        - CVV_NOT_MATCHED
        - CVV_NOT_CHECKED
      type: string
    ModelsReceiptPaymentsSBReceiptPaymentCardAvsResult:
      enum:
        - POSTAL_CODE_ADDRESS_MATCHED
        - POSTAL_CODE_MATCHED_ADDRESS_NOT_CHECKED
        - POSTAL_CODE_MATCHED_ADDRESS_NOT_MATCHED
        - ADDRESS_MATCHED_POSTAL_CODE_NOT_CHECKED
        - POSTAL_CODE_ADDRESS_NOT_CHECKED
        - ADDRESS_MATCHED_POSTAL_CODE_NOT_MATCHED
        - POSTAL_CODE_NOT_CHECKED_ADDRESS_NOT_MATCHED
        - POSTAL_CODE_ADDRESS_NOT_SUPPLIED
        - ADDRESS_NOT_CHECKED_POSTAL_CODE_NOT_MATCHED
        - POSTAL_CODE_ADDRESS_NOT_MATCHED
      type: string
    ReceiptsReceiptPaymentsReceiptPaymentCardTimeline:
      type: object
      properties:
        authorizedAt:
          type: string
          format: date-time
          nullable: true
        capturedAt:
          type: string
          format: date-time
          nullable: true
        voidedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsMoneySBMoney:
      type: object
      properties:
        id:
          type: integer
          format: int64
        currency:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        originalAmount:
          type: number
          format: double
          nullable: true
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
          nullable: true
        convertedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModelsReceiptPaymentsSBReceiptPaymentExternalType:
      enum:
        - CHECK
        - BANK_TRANSFER
        - OTHER_GIFT_CARD
        - CRYPTO
        - SQUARE_CASH
        - SOCIAL
        - EXTERNAL
        - E_MONEY
        - CARD
        - STORED_BALANCE
        - FOOD_VOUCHER
        - OTHER
      type: string
    ModelsReceiptPaymentsSBReceiptPaymentRiskLevel:
      enum:
        - NORMAL
        - ELEVATED
        - HIGH
      type: string
    PaymentMethodsPaymentMethodCardFingerprint:
      type: object
      properties:
        fingerprint:
          type: string
          nullable: true
        provider:
          $ref: >-
            #/components/schemas/ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider
      additionalProperties: false
    ModelsPaymentMethodsSBPaymentMethodCardFingerprintProvider:
      enum:
        - STRIPE
        - SQUARE
      type: string

````